import java.util.* ;
interface fadingwind_wyy {
   static void main(String[] args) {
      Scanner sc = new Scanner(System.in) ;
      int h = sc.nextInt() ;
      int k = sc.nextInt() ;
      int v = sc.nextInt() ;
      int s = sc.nextInt() ;

      int dis = 0 ;

      while (h > 0) {
         v += s ;
         v -= Math.max(1, java.lang.Math.floor(v/10)) ;
         if (v <= 0) {
            h = 0 ;
            v = 0 ;
         }
         else {
            if (v >= k) 
               h += 1 ;
            else {
               h -= 1 ;
            }
            if (h == 0)
               v = 0 ;
         }
         dis += v ;
         if (s > 0)
            s -= 1 ;
      }
      System.out.println(dis) ;
   }
}


